# Provide details of a payment that resulted in fraud

Provide payment fraud information.

Endpoint: POST /fraudsight/update/fraud
Version: v1
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Header parameters:

  - `Content-Type` (string, required)

  - `Accept` (string, required)

## Request fields (application/vnd.worldpay.fraudsight-v1.hal+json):

  - `transactionReference` (string, required)
    A unique reference for authentication. For example, e-commerce order code.

  - `merchant` (object, required)
    An object that contains information about the merchant and API level configuration.

  - `merchant.entity` (string, required)
    Used to route the request in Access Worldpay, created as part of on-boarding.

  - `riskProfile` (string, required)
    Represents the outcome of the original fraud assessment. Used to link subsequent Fraud related requests.

  - `source` (string, required)
    Source format of confirmed fraud cases.
    Enum: "SAFE", "TC40"

  - `sourceDate` (string, required)
    Date/time of source fraud file (TC40/SAFE).

  - `acquirerReference` (string, required)
    Acquirer Reference Number (ARN) - unique value assigned to a credit or debit card transaction.

  - `fraudReasonCode` (string, required)
    Visa and Mastercard reason codes:
| FraudReasonCode | FraudReasonDescription |  |  |  |
|  --- | --- | --- | --- | --- |
| 00 | Lost |  |  |  |
| 01 | Stolen |  |  |  |
| 02 | Card not received |  |  |  |
| 03 | Fraudulent application |  |  |  |
| 04 | Counterfeit |  |  |  |
| 05 | Account Takeover |  |  |  |
| 06 | Cardholder not present |  |  |  |
| 07 | Imprinting of multiple sale drafts |  |  |  |
| 08 | Other |  |  |  |
| 900 | Lost |  |  |  |
| 901 | Stolen |  |  |  |
| 902 | Card not received |  |  |  |
| 903 | Fraudulent application |  |  |  |
| 904 | Counterfeit |  |  |  |
| 905 | Account Takeover |  |  |  |
| 906 | Cardholder not present |  |  |  |
| 907 | Imprinting of multiple sale drafts |  |  |  |
| 908 | Other |  |  |  |
| 908 | Other |  |  |  |
| 919 | Other |  |  |  |
| A | Incorrect Processing |  |  |  |
| B | Account or Credentials Takeover Fraud |  |  |  |

  - `value` (object, required)
    An object that contains information about the value of the assessment.

  - `value.amount` (integer, required)
    The authentication amount. This is a whole number with an exponent, e.g. if exponent is two, 250 is 2.50. You can find the relevant exponent in our [currency table](/products/reference/supported-countries-currencies#iso-currency-codes). The assessment amount should be equal to the authorization amount. We recommend you delay assessment until the amount is known, or ensure it's greater than the total transaction amount.

  - `value.currency` (string, required)
    The three digit currency code. See list of [supported currencies](/products/reference/supported-countries-currencies#iso-currency-codes).

## Request examples:

  - `Provide details of a payment that resulted in fraud` (unknown)
    TC40/SAFE fraud information provided to the FraudSight service. This could be from any Worldpay or 3rd party payment provider.

## Response 204:

  - `204` (unknown)
    Successful update with fraud information

## Response 400:

  - `400` (unknown)
    Update fraud request contains invalid values

## Response 400 fields (application/vnd.worldpay.fraudsight-v1.hal+json):

  - `message` (string, required)
    The error description message.

  - `errorName` (string, required)
    The unique error name

  - `validationErrors` (array)
    Object containing details of validation errors occurred.

  - `validationErrors.errorName` (string, required)
    Unique name of the validation error.

  - `validationErrors.jsonPath` (string, required)
    Location of the field in request body for which the error occurred.

  - `validationErrors.message` (string, required)
    Error description message.

## Response 401:

  - `401` (unknown)
    Update fraud request is unauthorized

## Response 401 fields (application/vnd.worldpay.fraudsight-v1.hal+json):

  - `message` (string, required)
    The error description message.

  - `errorName` (string, required)
    The unique error name.

## Response 204 examples:

  - `Provide details of a payment that resulted in fraud` (unknown)
    Provide details of a payment that resulted in fraud

## Response 400 examples:

  - `An update fraud request with invalid value in request body` (unknown)
    An update fraud request with empty `acquirerReference`

  - `An update fraud request using invalid http method` (unknown)
    An update fraud request using GET method instead of POST

  - `An update fraud request with invalid header` (unknown)
    An update fraud request with "Content-Type" header of `null`

## Response 401 examples:

  - `An update fraud request with invalid Authorization header` (unknown)
    An update fraud request using invalid Authorization header

